#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N;
    scanf("%d", &N);
    for(int i = 0; i < N - 1; i++){
        int nesto, josNesto;
        scanf("%d %d", &nesto, &josNesto);
    }
    printf("%d", N/2 + N % 2 - 1);
    return 0;
}